Skip to main content
POST
Reject a Canton offer

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

walletId
string<uuid>
required

ID of the wallet

offerId
string<uuid>
required

ID of the Canton offer

Response

Success

id
string<uuid>

Unique identifier for the Canton offer

status
enum<string>

Current status of the offer

Available options:
RECEIVED,
PENDING,
ACCEPTED,
REJECTED,
WITHDRAWN,
EXPIRED
amount
string

The amount of the offer

currency
enum<string>

The currency of the offer

Available options:
usdcx
source
object
destination
object
creationTransactionHash
string

The transaction hash when the offer was created

executionTransactionHash
string | null

The transaction hash when the offer was accepted or rejected (null if not yet executed)

createdAt
string<date-time>

Timestamp when the offer was created

updatedAt
string<date-time>

Timestamp when the offer was last updated

expiresAt
string<date-time> | null

Timestamp when the offer expires (null if no expiration)